package cn.ibizlab.core.dict.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.util.domain.EntityBase;
import cn.ibizlab.util.annotation.DEField;
import cn.ibizlab.util.annotation.DEPredefinedField;
import cn.ibizlab.util.enums.DEPredefinedFieldFillMode;
import cn.ibizlab.util.enums.DEPredefinedFieldType;
import java.io.Serializable;
import lombok.Data;


import com.baomidou.mybatisplus.annotation.*;

/**
 * 实体[数据字典]
 */
@Data
@TableName(value = "IBZDICT",resultMap = "IBZDictResultMap")
public class IBZDict extends EntityBase implements Serializable {

	private static final long serialVersionUID = 1L;


    /**
     * 字典标识
     */
    @TableId(value= "ibzdictid",type=IdType.UUID)
    private String dictid;


    /**
     * 字典名称
     */
    @TableField( value = "ibzdictname" )
    private String dictname;




    /**
     * 逻辑有效标志
     */
    @DEField( preType = DEPredefinedFieldType.LOGICVALID )
    @TableLogic(value= "1",delval="0")
    @TableField( value = "enable" , fill = FieldFill.INSERT )
    private Integer enable;




    /**
     * 建立时间
     */
    @DEField( preType = DEPredefinedFieldType.CREATEDATE )
    @TableField( value = "createdate" , fill = FieldFill.INSERT )
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createdate;




    /**
     * 更新时间
     */
    @DEField( preType = DEPredefinedFieldType.UPDATEDATE )
    @TableField( value = "updatedate" , fill = FieldFill.INSERT_UPDATE )
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updatedate;




    /**
     * 建立人
     */
    @DEField( preType = DEPredefinedFieldType.CREATEMAN )
    @TableField( value = "createman" , fill = FieldFill.INSERT )
    private String createman;




    /**
     * 更新人
     */
    @DEField( preType = DEPredefinedFieldType.UPDATEMAN )
    @TableField( value = "updateman" , fill = FieldFill.INSERT )
    private String updateman;




    /**
     * 设置 [字典标识]
     */
    public void setDictid(String dictid){
        this.dictid = dictid ;
        this.modify("ibzdictid"，dictid);
    }

    /**
     * 设置 [字典名称]
     */
    public void setDictname(String dictname){
        this.dictname = dictname ;
        this.modify("ibzdictname"，dictname);
    }

    /**
     * 设置 [逻辑有效标志]
     */
    public void setEnable(Integer enable){
        this.enable = enable ;
        this.modify("enable"，enable);
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreatedate(Timestamp createdate){
        this.createdate = createdate ;
        this.modify("createdate"，createdate);
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdatedate(Timestamp updatedate){
        this.updatedate = updatedate ;
        this.modify("updatedate"，updatedate);
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateman(String createman){
        this.createman = createman ;
        this.modify("createman"，createman);
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateman(String updateman){
        this.updateman = updateman ;
        this.modify("updateman"，updateman);
    }

}

