
package cn.ibizlab.core.dict.service.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import cn.ibizlab.core.dict.domain.IBZDict;
import org.springframework.cglib.beans.BeanCopier;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[IBZDictDTO]
 */
@Data
public class IBZDictDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [IBZDICTID]
     *
     */
    @JsonProperty("dictid")
    private String dictId;

    /**
     * 属性 [IBZDICTNAME]
     *
     */
    @JsonProperty("dictname")
    private String dictName;

    /**
     * 属性 [ENABLE]
     *
     */
    @JsonProperty("enable")
    private Integer enable;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JsonProperty("createdate")
    private Timestamp createDate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JsonProperty("updatedate")
    private Timestamp updateDate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JsonProperty("createman")
    private String createMan;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JsonProperty("updateman")
    private String updateMan;


    /**
     * 设置 [IBZDICTID]
     */
    @JsonProperty("dictid")
    public void setDictId(String  dictId){
        this.dictId = dictId ;
        if(dictId==null){
            this.addFocusNull("ibzdictid");
        }
    }
    /**
     * 设置 [IBZDICTNAME]
     */
    @JsonProperty("dictname")
    public void setDictName(String  dictName){
        this.dictName = dictName ;
        if(dictName==null){
            this.addFocusNull("ibzdictname");
        }
    }
    /**
     * 设置 [ENABLE]
     */
    @JsonProperty("enable")
    public void setEnable(Integer  enable){
        this.enable = enable ;
        if(enable==null){
            this.addFocusNull("enable");
        }
    }
    /**
     * 设置 [CREATEDATE]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        if(createDate==null){
            this.addFocusNull("createdate");
        }
    }
    /**
     * 设置 [UPDATEDATE]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        if(updateDate==null){
            this.addFocusNull("updatedate");
        }
    }
    /**
     * 设置 [CREATEMAN]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        if(createMan==null){
            this.addFocusNull("createman");
        }
    }
    /**
     * 设置 [UPDATEMAN]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        if(updateMan==null){
            this.addFocusNull("updateman");
        }
    }

}

