
package cn.ibizlab.core.dict.service.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import cn.ibizlab.core.dict.domain.IBZDictItem;
import org.springframework.cglib.beans.BeanCopier;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[IBZDictItemDTO]
 */
@Data
public class IBZDictItemDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [IBZDICTITEMID]
     *
     */
    @JsonProperty("itemid")
    private String itemId;

    /**
     * 属性 [IBZDICTITEMNAME]
     *
     */
    @JsonProperty("itemname")
    private String itemName;

    /**
     * 属性 [DICTITEMVAL]
     *
     */
    @JsonProperty("itemval")
    private String itemVal;

    /**
     * 属性 [DICTID]
     *
     */
    @JsonProperty("dictid")
    private String dictId;

    /**
     * 属性 [PITEMVAL]
     *
     */
    @JsonProperty("pitemval")
    private String pItemVal;

    /**
     * 属性 [ITEMFILTER]
     *
     */
    @JsonProperty("itemfilter")
    private String itemFilter;

    /**
     * 属性 [ITEMCLS]
     *
     */
    @JsonProperty("itemcls")
    private String itemCls;

    /**
     * 属性 [ITEMICON]
     *
     */
    @JsonProperty("itemicon")
    private String itemIcon;

    /**
     * 属性 [SHOWORDER]
     *
     */
    @JsonProperty("showorder")
    private Integer showOrder;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JsonProperty("createdate")
    private Timestamp createDate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JsonProperty("updatedate")
    private Timestamp updateDate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JsonProperty("createman")
    private String createMan;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JsonProperty("updateman")
    private String updateMan;


    /**
     * 设置 [IBZDICTITEMID]
     */
    @JsonProperty("itemid")
    public void setItemId(String  itemId){
        this.itemId = itemId ;
        if(itemId==null){
            this.addFocusNull("ibzdictitemid");
        }
    }
    /**
     * 设置 [IBZDICTITEMNAME]
     */
    @JsonProperty("itemname")
    public void setItemName(String  itemName){
        this.itemName = itemName ;
        if(itemName==null){
            this.addFocusNull("ibzdictitemname");
        }
    }
    /**
     * 设置 [DICTITEMVAL]
     */
    @JsonProperty("itemval")
    public void setItemVal(String  itemVal){
        this.itemVal = itemVal ;
        if(itemVal==null){
            this.addFocusNull("dictitemval");
        }
    }
    /**
     * 设置 [DICTID]
     */
    @JsonProperty("dictid")
    public void setDictId(String  dictId){
        this.dictId = dictId ;
        if(dictId==null){
            this.addFocusNull("dictid");
        }
    }
    /**
     * 设置 [PITEMVAL]
     */
    @JsonProperty("pitemval")
    public void setPItemVal(String  pItemVal){
        this.pItemVal = pItemVal ;
        if(pItemVal==null){
            this.addFocusNull("pitemval");
        }
    }
    /**
     * 设置 [ITEMFILTER]
     */
    @JsonProperty("itemfilter")
    public void setItemFilter(String  itemFilter){
        this.itemFilter = itemFilter ;
        if(itemFilter==null){
            this.addFocusNull("itemfilter");
        }
    }
    /**
     * 设置 [ITEMCLS]
     */
    @JsonProperty("itemcls")
    public void setItemCls(String  itemCls){
        this.itemCls = itemCls ;
        if(itemCls==null){
            this.addFocusNull("itemcls");
        }
    }
    /**
     * 设置 [ITEMICON]
     */
    @JsonProperty("itemicon")
    public void setItemIcon(String  itemIcon){
        this.itemIcon = itemIcon ;
        if(itemIcon==null){
            this.addFocusNull("itemicon");
        }
    }
    /**
     * 设置 [SHOWORDER]
     */
    @JsonProperty("showorder")
    public void setShowOrder(Integer  showOrder){
        this.showOrder = showOrder ;
        if(showOrder==null){
            this.addFocusNull("showorder");
        }
    }
    /**
     * 设置 [CREATEDATE]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        if(createDate==null){
            this.addFocusNull("createdate");
        }
    }
    /**
     * 设置 [UPDATEDATE]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        if(updateDate==null){
            this.addFocusNull("updatedate");
        }
    }
    /**
     * 设置 [CREATEMAN]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        if(createMan==null){
            this.addFocusNull("createman");
        }
    }
    /**
     * 设置 [UPDATEMAN]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        if(updateMan==null){
            this.addFocusNull("updateman");
        }
    }

}

