package cn.ibizlab.core.dict.service.impl;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import java.util.Collection;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.transaction.annotation.Transactional;
import cn.ibizlab.core.dict.domain.IBZDictItem;
import cn.ibizlab.core.dict.filter.IBZDictItemSearchContext;
import cn.ibizlab.core.dict.service.IIBZDictItemService;
import cn.ibizlab.util.SearchResult;
import cn.ibizlab.util.log.IBIZLog;



import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.ibizlab.core.dict.mapper.IBZDictItemMapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springframework.util.ObjectUtils;


/**
 * 实体[字典项目] 服务对象接口实现
 */
@Slf4j
@IBIZLog
@Service
public class IBZDictItemServiceImpl extends ServiceImpl<IBZDictItemMapper, IBZDictItem> implements IIBZDictItemService {


    @Override
    @Transactional
    public IBZDictItem get(String itemid) {
        IBZDictItem  ibzdictitem = getById(itemid);
        return ibzdictitem;
    }

    @Override
    @Transactional
    public IBZDictItem get(IBZDictItem ibzdictitem) {
        return null ;
    }

    @Override
    public IBZDictItem getDraft(IBZDictItem ibzdictitem) {
        return ibzdictitem;
    }


    @Override
    public boolean checkKey(IBZDictItem ibzdictitem) {
        return true;
    }
    @Override
    @Transactional
    public boolean remove(String itemid) {
        boolean bOk = false ;
        IBZDictItem _iBZDictItem = this.get(itemid);
        bOk = removeById(itemid);
        return bOk ;
    }
    @Override
    @Transactional
    public boolean create(IBZDictItem ibzdictitem) {
        boolean bOk = false ;
        bOk = save(ibzdictitem);
        return bOk ;
    }

    @Override
    @Transactional
    public boolean update(IBZDictItem ibzdictitem) {
        boolean bOk = false ;
        bOk = update(ibzdictitem, (Wrapper)ibzdictitem.getUpdateWrapper(true).eq("ibzdictitemid",ibzdictitem.getItemId()));
        return bOk ;
    }

    /**
     * 查询集合 DEFAULT
     */
    @Override
    public Page<IBZDictItem> searchDefault(IBZDictItemSearchContext context) {
        com.baomidou.mybatisplus.extension.plugins.pagination.Page<IBZDictItem> iBZDictItems=baseMapper.searchDefault(context.getPage(),context,context.getSelectCond());
        return new PageImpl<IBZDictItem>(iBZDictItems.getRecords(), context.getPageable(), iBZDictItems.getTotal());
    }


}


