package cn.ibizlab.core.dict.service.impl;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import java.util.Collection;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.transaction.annotation.Transactional;
import cn.ibizlab.core.dict.domain.IBZDict;
import cn.ibizlab.core.dict.filter.IBZDictSearchContext;
import cn.ibizlab.core.dict.service.IIBZDictService;
import cn.ibizlab.util.SearchResult;
import cn.ibizlab.util.log.IBIZLog;



import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.ibizlab.core.dict.mapper.IBZDictMapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springframework.util.ObjectUtils;


/**
 * 实体[数据字典] 服务对象接口实现
 */
@Slf4j
@IBIZLog
@Service
public class IBZDictServiceImpl extends ServiceImpl<IBZDictMapper, IBZDict> implements IIBZDictService {


    @Override
    @Transactional
    public IBZDict get(String dictid) {
        IBZDict  ibzdict = getById(dictid);
        return ibzdict;
    }

    @Override
    @Transactional
    public IBZDict get(IBZDict ibzdict) {
        return null ;
    }

    @Override
    @Transactional
    public boolean create(IBZDict ibzdict) {
        boolean bOk = false ;
        bOk = save(ibzdict);
        return bOk ;
    }

    @Override
    public boolean checkKey(IBZDict ibzdict) {
        return true;
    }
    @Override
    public IBZDict getDraft(IBZDict ibzdict) {
        return ibzdict;
    }

    @Override
    @Transactional
    public boolean update(IBZDict ibzdict) {
        boolean bOk = false ;
        bOk = update(ibzdict, (Wrapper)ibzdict.getUpdateWrapper(true).eq("ibzdictid",ibzdict.getDictId()));
        return bOk ;
    }
    @Override
    @Transactional
    public boolean remove(String dictid) {
        boolean bOk = false ;
        IBZDict _iBZDict = this.get(dictid);
        bOk = removeById(dictid);
        return bOk ;
    }


    /**
     * 查询集合 DEFAULT
     */
    @Override
    public Page<IBZDict> searchDefault(IBZDictSearchContext context) {
        com.baomidou.mybatisplus.extension.plugins.pagination.Page<IBZDict> iBZDicts=baseMapper.searchDefault(context.getPage(),context,context.getSelectCond());
        return new PageImpl<IBZDict>(iBZDicts.getRecords(), context.getPageable(), iBZDicts.getTotal());
    }


}


